Subject: Re: bug#1746: Buffer swapping interface

From: [email-masked]
Date: Thu, 04 Aug 2016 21:49:57 -0400

tags 1746 wontfix
quit

Chong Yidong <[email-masked]> writes:

> RMS has proposed changing the internals of the buffer saving interface
> to make them aware of swapped buffers, by introducing a new variable
> buffer-swapped-with that client code can set; basic-save-buffer then
> checks this variable before saving, and temporarily swaps the buffer if
> necessary.  See the following CVS diff:
>
> http://cvs.savannah.gnu.org/viewvc/emacs/lisp/files.el?root=emacs&r1=1.1029&r2=1.1030
>
> Stefan has objections to this patch on the grounds that it makes the
> buffer saving internals more complicated, instead of relying on existing
> hooks as tar-mode does.  In any case, the patch was reverted pending the
> 23.1 release.

I guess it's safe to say this patch won't be applied by now...